[CentOS] totem: something wrong with gstreamer-plugins-ugly

Nicolas Thierry-Mieg Nicolas.Thierry-Mieg at imag.fr
Sun Jan 24 21:59:28 UTC 2010


ken wrote:
<snip>
> Then I found and read
> http://wiki.centos.org/AdditionalResources/Repositories?action=show&redirect=Repositories.

as stated on that page, mixing 3rd party repos does not always work so 
well. Your problem is an example of what can go wrong.

> 
> Moreover, after erasing my installed libdvdread, I did:
> # yum install libdvdread
> ....
> ================================================================================
>  Package              Arch           Version               Repository
>    Size
> ================================================================================
> Installing:
>  libdvdread           i386           4.1.3-1.el5           epel
<snip>
> Isn't epel pretty much a standard repository?

epel is one of the big 3rd party repos, rpmforge is another.

you are installing libdvdread from epel and trying to install 
gstreamer-plugins-ugly from rpmforge.
Unfortunately the former doesn't have the right lib version for the latter.

One solution would be to give higher priority to rpmforge over epel. 
Then uninstall [the epel] libdvdread, and yum install 
gstreamer-plugins-ugly should properly pull in the rpmforge libdvdread.


More information about the CentOS mailing list